# Get task comment facts. **GET /api/TaskCommentFacts** This request should be used to retrieve information around comments on tasks for specified engagement(s). This includes information around what comment was added, by whom and when it was added as well as a key to connect it to the TaskFacts dimension. ## Servers - Production server: https://analyticsapi.adra.com/taskmanager (Production server) - Stage server: https://analyticsapi.adrastage.com/taskmanager (Stage server) - Test server: https://analyticsapi.adratest.com/taskmanager (Test server) - Dev server: https://analyticsapi.adradev.com/taskmanager (Dev server) ## Authentication methods - Basic - Adra personal access token ## Parameters ### Query parameters - **engagement** (string) Short Guid of desired engagement Ex - ESXmkya-nEeWMX-7_3fSxA or Guid of desired engagement Ex - 45c31339-96d0-4262-b051-c00f392685c1 ## Responses ### 200 Success #### Body: application/json (array[object]) - **commentKey** (integer(int32)) - **taskKey** (integer(int32)) - **commentAddedByUsername** (string | null) - **commentAddedByName** (string | null) - **commentText** (string | null) - **commentAdded** (string(date-time)) - **engagementKey** (string(uuid)) - **taskListKey** (integer(int32) | null) ### 400 Bad Request ### 404 Not Found ### 500 Server Error [Powered by Bump.sh](https://bump.sh)